package cc.fascinated.bat.common;

import lombok.experimental.UtilityClass;
import net.dv8tion.jda.api.EmbedBuilder;

import java.time.LocalDateTime;

/**
 * @author Fascinated (fascinated7)
 */
@UtilityClass
public class EmbedUtils {
    /**
     * Builds a generic embed
     *
     * @return the embed builder
     */
    public static EmbedBuilder genericEmbed() {
        return new EmbedBuilder()
                .setTimestamp(LocalDateTime.now())
                .setColor(Colors.DEFAULT);
    }

    /**
     * Builds an error embed
     *
     * @return the embed builder
     */
    public static EmbedBuilder errorEmbed() {
        return new EmbedBuilder()
                .setTimestamp(LocalDateTime.now())
                .setColor(Colors.ERROR);
    }

    /**
     * Builds a success embed
     *
     * @return the embed builder
     */
    public static EmbedBuilder successEmbed() {
        return new EmbedBuilder()
                .setTimestamp(LocalDateTime.now())
                .setColor(Colors.SUCCESS);
    }
}
