package cc.fascinated.bat.features.autorole.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import net.dv8tion.jda.api.Permission;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component("autoroles.command")
@CommandInfo(name = "autorole", description = "Set up the automatic role system for members on join", requiredPermissions = Permission.MANAGE_SERVER)
public class AutoRoleCommand extends BatCommand {
    public AutoRoleCommand(@NonNull ApplicationContext context) {
        super.addSubCommand(context.getBean(ListSubCommand.class));
        super.addSubCommand(context.getBean(AddSubCommand.class));
        super.addSubCommand(context.getBean(RemoveSubCommand.class));
        super.addSubCommand(context.getBean(ClearSubCommand.class));
    }
}
