package cc.fascinated.bat.features.autorole.command;

import cc.fascinated.bat.command.BatSubCommand;
import cc.fascinated.bat.command.CommandInfo;
import cc.fascinated.bat.common.EmbedUtils;
import cc.fascinated.bat.features.autorole.profile.AutoRoleProfile;
import cc.fascinated.bat.model.BatGuild;
import cc.fascinated.bat.model.BatUser;
import lombok.NonNull;
import net.dv8tion.jda.api.EmbedBuilder;
import net.dv8tion.jda.api.entities.Member;
import net.dv8tion.jda.api.entities.channel.middleman.MessageChannel;
import net.dv8tion.jda.api.interactions.commands.SlashCommandInteraction;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component("autoroles:list.sub")
@CommandInfo(name = "list", description = "Lists all auto roles")
public class ListSubCommand extends BatSubCommand {
    @Override
    public void execute(BatGuild guild, @NonNull BatUser user, @NonNull MessageChannel channel, Member member, @NonNull SlashCommandInteraction interaction) {
        AutoRoleProfile profile = guild.getProfile(AutoRoleProfile.class);
        if (profile.getRoles().isEmpty()) {
            interaction.replyEmbeds(EmbedUtils.errorEmbed()
                    .setDescription("There are no auto roles set")
                    .build()).queue();
            return;
        }

        StringBuilder roles = new StringBuilder();
        roles.append("There are %d/%d auto roles\n".formatted(
                profile.getRoleSlotsInUse(),
                AutoRoleProfile.getMaxRoleSlots(guild)
        ));
        for (int i = 0; i < profile.getRoles().size(); i++) {
            roles.append("%d. %s\n".formatted(i + 1, profile.getRoles().get(i).getAsMention()));
        }

        EmbedBuilder embed = EmbedUtils.genericEmbed();
        embed.setAuthor("Auto Role List");
        embed.setDescription(roles.toString());
        interaction.replyEmbeds(embed.build()).queue();
    }
}
