package cc.fascinated.bat.features.birthday.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "birthday", description = "Modify your birthday settings.")
public class BirthdayCommand extends BatCommand {
    @Autowired
    public BirthdayCommand(@NonNull ApplicationContext context) {
        super.addSubCommand(context.getBean(SetSubCommand.class));
        super.addSubCommand(context.getBean(RemoveSubCommand.class));
        super.addSubCommand(context.getBean(ChannelSubCommand.class));
        super.addSubCommand(context.getBean(MessageSubCommand.class));
    }
}
