package cc.fascinated.bat.features.scoresaber.command.userfeed;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import net.dv8tion.jda.api.Permission;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component("scoresaber-user-feed.command")
@CommandInfo(name = "scoresaber-user-feed", description = "Modifies the settings for the feed.", requiredPermissions = Permission.MANAGE_CHANNEL)
public class UserFeedCommand extends BatCommand {
    public UserFeedCommand(@NonNull ApplicationContext context) {
        super.addSubCommand(context.getBean(UserSubCommand.class));
        super.addSubCommand(context.getBean(ChannelSubCommand.class));
        super.addSubCommand(context.getBean(ResetSubCommand.class));
    }
}
